---
title: GET /work-requests
slug: content-marketing-platform/api/get-work-requests
docTags: 
createdAt: 2026-10-01T18:51:26.265Z
---

{
  "id": "hTDpPTCHofXUFl1zVcOf6",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.cmp.optimizely.com/v3/work-requests",
    "servers": [
      {
        "url": "https://api.cmp.optimizely.com/v3/work-requests",
        "description": "v3 version of Optimizely CMP Open API"
      }
    ],
    "name": "GET /work-requests",
    "description": "<p>Experimental Get a list of work requests.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "created_by",
          "type": "string",
          "example": "[\"1265ca474ba987cc925164aa7\",\"606995f714ace404593cce4c\"]",
          "description": "<p>Unique identifier of the creator of the work requests. You can append multiple times, for example <code>created_by=creator1&#x26;created_by=creator2</code>.</p>"
        },
        {
          "kind": "optional",
          "name": "status",
          "type": "string",
          "example": "[\"Accepted\",\"Submitted\"]",
          "description": "<p>Status of a work request. You can append multiple times, for example <code>status=Submitted&#x26;status=Declined</code></p>",
          "enum": [
            "Submitted",
            "Accepted",
            "Completed",
            "Declined"
          ]
        },
        {
          "kind": "optional",
          "name": "order_by",
          "type": "string",
          "example": "due_date",
          "description": "Ordering parameter of the work requests.",
          "enum": [
            "priority",
            "status",
            "created_at",
            "due_date"
          ]
        },
        {
          "kind": "optional",
          "name": "order_as",
          "type": "string",
          "example": "desc",
          "description": "Sorting order of the work requests.",
          "enum": [
            "asc",
            "desc"
          ]
        },
        {
          "kind": "optional",
          "name": "template_ids",
          "type": "array",
          "example": "[\"1265ca474ba987cc925164aa7\",\"606995f714ace404593cce4c\"]",
          "description": "<p>Unique identifiers of the templates. You can append multiple times, for example <code>template_ids=template1&#x26;template_ids=template2</code>.</p>",
          "schema": [],
          "itemType": "string",
          "customType": "string[]"
        },
        {
          "kind": "optional",
          "name": "created_at__from",
          "type": "string<date-time>",
          "example": "2018-11-30T13:32:44Z",
          "description": "<p>Date and time as the lower limit to filter work requests by <code>created_at</code>, in ISO 8601 UTC format</p>",
          "format": "date-time"
        },
        {
          "kind": "optional",
          "name": "created_at__to",
          "type": "string<date-time>",
          "example": "2018-12-31T23:59:59Z",
          "description": "<p>Date and time as the upper limit to filter work requests by <code>created_at</code>, in ISO 8601 UTC format</p>",
          "format": "date-time"
        },
        {
          "kind": "optional",
          "name": "offset",
          "type": "integer",
          "example": 5,
          "description": "<p>Starting index of results (zero indexed)</p>",
          "default": 0,
          "minimum": 0
        },
        {
          "kind": "optional",
          "name": "page_size",
          "type": "integer",
          "example": 15,
          "description": "Number of results to return per page",
          "default": 10,
          "minimum": 1,
          "maximum": 100
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "OAuth2",
          "name": "OAuth2",
          "kind": "optional",
          "type": "oauth2",
          "oauth2Flows": {
            "clientCredentials": {
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {}
            },
            "authorizationCode": {
              "authorizationUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/auth",
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {
                "openid": "Grants the ability to receive a unique identifier for the user.",
                "profile": "Grants access to user profile information.",
                "offline_access": "Grants the ability to refresh access_token using the refresh token even when user is not present (not logged in)."
              }
            }
          },
          "requiredScopes": [
            "openid",
            "profile",
            "offline_access"
          ]
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "List of fetched work requests",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "data",
                "kind": "required",
                "type": "array",
                "description": "List of work requests",
                "modelRef": "#/components/schemas/WorkRequestResponse",
                "customType": "WorkRequestResponse[]",
                "schema": [
                  {
                    "name": "id",
                    "kind": "required",
                    "type": "string",
                    "description": "Unique identifier of the work request",
                    "example": "5fe4925ef8a9378056bf4e37"
                  },
                  {
                    "name": "template",
                    "kind": "required",
                    "type": "object",
                    "description": "<p>The template, based on the work request that was created</p>",
                    "example": "",
                    "schema": [
                      {
                        "name": "id",
                        "kind": "required",
                        "type": "string",
                        "description": "Unique identifier of the template",
                        "example": "1265ca474ba987cc925164aa7"
                      },
                      {
                        "name": "title",
                        "kind": "required",
                        "type": "string",
                        "description": "Title of the template",
                        "example": "Sample template title"
                      },
                      {
                        "name": "links",
                        "kind": "required",
                        "type": "object",
                        "description": "Meta links",
                        "example": "",
                        "schema": [
                          {
                            "name": "self",
                            "kind": "required",
                            "type": "string",
                            "description": "URL of the template",
                            "example": "https://api.cmp.optimizely.com/v3/templates/9119a313057e401189407116fcd3aa24"
                          }
                        ]
                      }
                    ]
                  },
                  {
                    "name": "reference_id",
                    "kind": "required",
                    "type": "string",
                    "description": "Reference identifier of the work request",
                    "example": "WRQ-23"
                  },
                  {
                    "name": "assignees",
                    "kind": "required",
                    "type": "array",
                    "description": "List of assigned users to the work request",
                    "example": "",
                    "itemType": "object",
                    "customType": "object[]",
                    "schema": [
                      {
                        "name": "id",
                        "kind": "required",
                        "type": "string",
                        "description": "Unique identifier of the assignee",
                        "example": "6asdcnfnfdsfdsfd54sgfd54sf"
                      },
                      {
                        "name": "type",
                        "kind": "required",
                        "type": "string<user | team>",
                        "description": "Type of the assignee",
                        "example": "user",
                        "enum": [
                          "user",
                          "team"
                        ]
                      },
                      {
                        "name": "full_name",
                        "kind": "required",
                        "type": "string",
                        "description": "Full name of the assignee",
                        "example": "John Doe"
                      },
                      {
                        "name": "image_url",
                        "kind": "required",
                        "type": "string",
                        "nullable": true,
                        "description": "<p>URL of the profile picture of the assignee. <code>null</code> if the assignee has not provided an image</p>",
                        "example": "https://images.cmp.optimizely.com/6a485f72ba424f9397c71ddf0cfb8f59"
                      },
                      {
                        "name": "links",
                        "kind": "required",
                        "type": "object",
                        "description": "Meta links",
                        "example": "",
                        "schema": [
                          {
                            "name": "self",
                            "kind": "required",
                            "type": "string",
                            "description": "URL of the assigned user",
                            "example": "https://api.cmp.optimizely.com/v3/users/6asdcnfnfdsfdsfd54sgfd54sf"
                          }
                        ]
                      }
                    ]
                  },
                  {
                    "name": "status",
                    "kind": "required",
                    "type": "string<Accepted | Declined | Submitted | Completed>",
                    "description": "Current status of the work request",
                    "example": "Accepted",
                    "enum": [
                      "Accepted",
                      "Declined",
                      "Submitted",
                      "Completed"
                    ]
                  },
                  {
                    "name": "priority",
                    "kind": "required",
                    "type": "string<Low | Medium | High>",
                    "description": "Priority of the work request",
                    "example": "Medium",
                    "enum": [
                      "Low",
                      "Medium",
                      "High"
                    ]
                  },
                  {
                    "name": "created_by",
                    "kind": "required",
                    "type": "object",
                    "description": "Creator of the work request",
                    "example": "",
                    "schema": [
                      {
                        "name": "id",
                        "kind": "required",
                        "type": "string",
                        "description": "Unique identifier of the creator of the work request",
                        "example": "6asdcnfnfdsfdsfd54sgfd54sf"
                      },
                      {
                        "name": "links",
                        "kind": "required",
                        "type": "object",
                        "description": "Meta links",
                        "example": "",
                        "schema": [
                          {
                            "name": "self",
                            "kind": "required",
                            "type": "string",
                            "description": "URL of the creator",
                            "example": "https://api.cmp.optimizely.com/v3/users/6asdcnfnfdsfdsfd54sgfd54sf"
                          }
                        ]
                      }
                    ]
                  },
                  {
                    "name": "created_at",
                    "kind": "required",
                    "type": "string<date-time>",
                    "description": "<p>Date and time on which the work request was created, in ISO 8601 UTC format (2022-04-30T06:00</p><div></div>.000Z)<p></p>",
                    "example": "2022-04-30T06:00:00.000Z",
                    "format": "date-time"
                  },
                  {
                    "name": "modified_at",
                    "kind": "required",
                    "type": "string<date-time>",
                    "description": "<p>Date and time on which the work request was last modified, in ISO 8601 UTC format (2022-04-30T08:00</p><div></div>.000Z)<p></p>",
                    "example": "2022-04-30T08:00:00.000Z",
                    "format": "date-time"
                  },
                  {
                    "name": "form_fields",
                    "kind": "required",
                    "type": "object",
                    "description": "Populated form fields following the template",
                    "modelRef": "#/components/schemas/TextTypeFormFieldResponse",
                    "customType": "TextTypeFormFieldResponse[]",
                    "schema": [],
                    "complexType": "allOf",
                    "complexItems": [
                      {
                        "name": "BaseFormFieldResponse",
                        "description": "",
                        "modelRef": "#/components/schemas/BaseFormFieldResponse",
                        "schema": [
                          {
                            "name": "identifier",
                            "kind": "required",
                            "type": "string",
                            "description": "Identifier of the form field collected from the template form field",
                            "example": "brief"
                          },
                          {
                            "name": "type",
                            "kind": "required",
                            "type": "string",
                            "description": "Type of the form field",
                            "example": "brief"
                          },
                          {
                            "name": "values",
                            "kind": "required",
                            "type": "array",
                            "description": "Values of the form field",
                            "example": "",
                            "itemType": "object",
                            "customType": "object[]",
                            "itemExample": "",
                            "itemDefault": ""
                          },
                          {
                            "name": "is_protected",
                            "kind": "optional",
                            "type": "boolean",
                            "description": "<p>True when this form field is read-only and only organization admins can modify it. Absent or false for editable fields.</p>",
                            "example": false
                          }
                        ]
                      },
                      {
                        "name": "object",
                        "description": "",
                        "schema": [
                          {
                            "name": "values",
                            "kind": "optional",
                            "type": "array",
                            "description": "",
                            "example": "",
                            "itemType": "string",
                            "customType": "string[]",
                            "itemExample": "Sample text",
                            "itemDefault": ""
                          }
                        ]
                      }
                    ]
                  },
                  {
                    "name": "links",
                    "kind": "required",
                    "type": "object",
                    "description": "Meta links",
                    "example": "",
                    "schema": [
                      {
                        "name": "self",
                        "kind": "required",
                        "type": "string",
                        "description": "URL of the work request",
                        "example": "https://api.cmp.optimizely.com/v3/work-requests/5fe4925ef8a9378056bf4e37"
                      },
                      {
                        "name": "comments",
                        "kind": "required",
                        "type": "string",
                        "description": "URL to create or get work request comments",
                        "example": "https://api.cmp.optimizely.com/v3/work-requests/5fe4925ef8a9378056bf4e37/comments"
                      },
                      {
                        "name": "attachments",
                        "kind": "required",
                        "type": "string",
                        "description": "URL to add attachments to work request",
                        "example": "https://api.cmp.optimizely.com/v3/work-requests/5fe4925ef8a9378056bf4e37/attachments"
                      },
                      {
                        "name": "campaigns",
                        "kind": "required",
                        "type": "string",
                        "description": "URL to create a campaign from the work request",
                        "example": "https://api.cmp.optimizely.com/v3/work-requests/5fe4925ef8a9378056bf4e37/campaigns"
                      },
                      {
                        "name": "tasks",
                        "kind": "required",
                        "type": "string",
                        "description": "URL to create a task from the work request",
                        "example": "https://api.cmp.optimizely.com/v3/work-requests/5fe4925ef8a9378056bf4e37/tasks"
                      },
                      {
                        "name": "creative_assets",
                        "kind": "required",
                        "type": "string",
                        "description": "URL to add creative assets to the work request",
                        "example": "https://api.cmp.optimizely.com/v3/work-requests/5fe4925ef8a9378056bf4e37/creative-assets"
                      },
                      {
                        "name": "related_resources",
                        "kind": "required",
                        "type": "string",
                        "description": "URL to get related resources",
                        "example": "https://api.cmp.optimizely.com/v3/work-requests/5fe4925ef8a9378056bf4e37/related-resources"
                      }
                    ]
                  }
                ]
              },
              {
                "name": "pagination",
                "kind": "required",
                "type": "object",
                "description": "",
                "complexType": "allOf",
                "complexItems": [
                  {
                    "name": "Pagination",
                    "description": "",
                    "modelRef": "#/components/schemas/Pagination",
                    "schema": [
                      {
                        "name": "next",
                        "kind": "required",
                        "type": "string",
                        "nullable": true,
                        "description": "URL to the next page",
                        "example": "https://api.cmp.optimizely.com/<some-path-to-next-page>?offset=10&page_size=10"
                      },
                      {
                        "name": "previous",
                        "kind": "required",
                        "type": "string",
                        "nullable": true,
                        "description": "URL to the previous page",
                        "example": ""
                      }
                    ]
                  },
                  {
                    "name": "object",
                    "description": "",
                    "schema": [
                      {
                        "name": "next",
                        "kind": "optional",
                        "type": "string",
                        "nullable": true,
                        "description": "",
                        "example": "https://api.cmp.optimizely.com/v3/work-requests?offset=10&page_size=10"
                      }
                    ]
                  }
                ],
                "schema": []
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Authorization error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"Unauthorized\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "Permission error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"You do not have the permission to perform this operation\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "MlsDvDb4XIhROZNBMTxZo",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url 'https://api.cmp.optimizely.com/v3/work-requests?offset=5&page_size=10' \\\n     --header 'accept: application/json'"
        },
        {
          "id": "YvWUpgFN5yJzHVU9C1lMr",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.cmp.optimizely.com/v3/work-requests?offset=5&page_size=10\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "bgNoGxq-kyqJsNiFtF8jA",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.cmp.optimizely.com/v3/work-requests?offset=5&page_size=10\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "HVMMAgYDrdJDUKQfMVyng",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.cmp.optimizely.com/v3/work-requests?offset=5&page_size=10\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "MlsDvDb4XIhROZNBMTxZo"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// List of fetched work requests\n{\n  \"data\": [\n    {\n      \"id\": \"5fe4925ef8a9378056bf4e37\",\n      \"template\": {\n        \"id\": \"1265ca474ba987cc925164aa7\",\n        \"title\": \"Sample template title\",\n        \"links\": {\n          \"self\": \"https://api.cmp.optimizely.com/v3/templates/9119a313057e401189407116fcd3aa24\"\n        }\n      },\n      \"reference_id\": \"WRQ-23\",\n      \"assignees\": [\n        {\n          \"id\": \"6asdcnfnfdsfdsfd54sgfd54sf\",\n          \"type\": \"user\",\n          \"full_name\": \"John Doe\",\n          \"image_url\": \"https://images.cmp.optimizely.com/6a485f72ba424f9397c71ddf0cfb8f59\",\n          \"links\": {\n            \"self\": \"https://api.cmp.optimizely.com/v3/users/6asdcnfnfdsfdsfd54sgfd54sf\"\n          }\n        }\n      ],\n      \"status\": \"Accepted\",\n      \"priority\": \"Medium\",\n      \"created_by\": {\n        \"id\": \"6asdcnfnfdsfdsfd54sgfd54sf\",\n        \"links\": {\n          \"self\": \"https://api.cmp.optimizely.com/v3/users/6asdcnfnfdsfdsfd54sgfd54sf\"\n        }\n      },\n      \"created_at\": \"2022-04-30T06:00:00.000Z\",\n      \"modified_at\": \"2022-04-30T08:00:00.000Z\",\n      \"form_fields\": {},\n      \"links\": {\n        \"self\": \"https://api.cmp.optimizely.com/v3/work-requests/5fe4925ef8a9378056bf4e37\",\n        \"comments\": \"https://api.cmp.optimizely.com/v3/work-requests/5fe4925ef8a9378056bf4e37/comments\",\n        \"attachments\": \"https://api.cmp.optimizely.com/v3/work-requests/5fe4925ef8a9378056bf4e37/attachments\",\n        \"campaigns\": \"https://api.cmp.optimizely.com/v3/work-requests/5fe4925ef8a9378056bf4e37/campaigns\",\n        \"tasks\": \"https://api.cmp.optimizely.com/v3/work-requests/5fe4925ef8a9378056bf4e37/tasks\",\n        \"creative_assets\": \"https://api.cmp.optimizely.com/v3/work-requests/5fe4925ef8a9378056bf4e37/creative-assets\",\n        \"related_resources\": \"https://api.cmp.optimizely.com/v3/work-requests/5fe4925ef8a9378056bf4e37/related-resources\"\n      }\n    }\n  ],\n  \"pagination\": {}\n}"
        },
        {
          "id": "response-1-401",
          "language": "401",
          "code": "// Authorization error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// Permission error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}